#################################################################
### Read the secifications of the differents run proposed    ####
#################################################################
runParameters <- read.table(paste(dirData, "run_spec.csv", sep=""), sep=",", header=T, fill=T)

if (get_all_retros!="all"){
    for (i in 1:length(run_to_get)){
      for (j in 1:length(seed_number_to_get)){
      dir_run_to_get    <- list.dirs(paste(dirOutputs, catch_type, "/", run_to_get[i], "/", what_data, "/", abs(seed_number_to_get[j]), sep=""))
      n_retros1 <- dir(dir_run_to_get)[grep(pattern = "MINUS", dir(dir_run_to_get))]
      n_retros2 <- length(n_retros1[grep(pattern = ".R", n_retros1)])-1
      get_retros_data(dir_run_to_get, name_run=run_to_get[i], nRet = n_retros2, age_plus = runParameters$age_plus_group[runParameters$Run==run_to_get[i]])
      }
    }
} else {
  dir_runs      <- list.dirs(substr(dirOutputs, 1,(nchar(dirOutputs)-1)))
  dir_runs2     <- as.data.frame(cbind(i=1:length(dir_runs), path=dir_runs))
  dir_runs2$i   <- as.numeric(as.character(dir_runs2$i))
  dir_runs3     <- ddply(dir_runs2, .(i), function(x) length(unlist(strsplit(as.character(x$path[1]), split="/"))) )
  dir_runs      <- dir_runs[dir_runs3$V1==max(dir_runs3$V1)]
  iwh2          <- grep(what_data, dir_runs)
  dir_runs      <- dir_runs[iwh2]
  dir_runs_seed <- data.frame(dir_runs=dir_runs, seed=1:length(dir_runs))
  tmp_seeds     <- ddply(dir_runs_seed, .(seed), function(x) unlist(strsplit(as.character(x$dir_runs), split="/"))) 
  seeds         <- as.numeric(unique(tmp_seeds[,dim(tmp_seeds)[2]]))
  save(seeds, file=paste(dirRData, "seed_number.Rdata", sep=""))
  #dir_runs     <- dir_runs[39:length(dir_runs)] ## weird stuff don't know why I put that
  for (i in 1:length(dir_runs)){
      dir_run_to_get    <- dir_runs[i]
      run_to_get        <- unlist(strsplit(dir_run_to_get,"/"))[length(unlist(strsplit(dir_run_to_get,"/")))-2]
      n_retros1         <- dir(dir_run_to_get)[grep(pattern = "MINUS", dir(dir_run_to_get))]
      n_retros2         <- length(n_retros1[grep(pattern = ".R", n_retros1)])-1
      get_retros_data(dir_run_to_get, name_run=run_to_get, nRet = n_retros2, age_plus = runParameters$age_plus_group[runParameters$Run==run_to_get])
      print(paste("Data from: ", run_to_get, " saved", sep=""))
  }

  
}

