########################################################
#### Script to create all the runs and pick up      ####
#### the best of each ones                          ####
########################################################

### TO DO LIST:
### NEEDS TO BE ADAPTED FOR MAC USERS

#### WARNING: you can't play with age plus using the last assessment

#######################
### LOAD libraries  ###
#######################
library(plyr)
library(reshape)

################################
### SET YOUR MAIN DIRECTORY  ###
################################
dir_main       <- "/media/sbonhomm/Caparmor/syl/boulot/Projet/En_cours/2015_Bluebridge/"
dir_report     <- paste(dir_main,"reports/", sep="")
dir_data       <- paste(dir_main,"data/", sep="")
dir_R_scripts  <- paste(dir_main,"Rscripts/", sep="")

################################
### DEFINE THE VPA CODE      ###
################################
### !!! this is automatic
### !!! it will chose a .exe or a .out depending if you're using windows or linux

if (Sys.info()[1]=="Linux")  { vpa_exe_file  <- paste(dir_main, "vpafiles/vpa-2box.out",sep="")}
if (Sys.info()[1]=="Windows"){ vpa_exe_file  <- paste(dir_main, "vpafiles/vpa-2box.exe",sep="")}

#########################
### DEFINE YOUR RUNS  ###
#########################
### Parameters of the runs, names and cpues
### !!! Modify the run_spec.csv file if you want to add a Run !!!
run_parameters <- read.csv(paste(dir_data,'run_spec.csv',sep=""))

#############################################
#### Define file names for the vpa        ###
#############################################
filename_vpa  <- "bfte2014"

#############################################
#### Select the run to run                ###
#############################################
### select the run number you want to run (from the "run_spec.csv" file)
### to run them all, type "all"
#run_numb     <- "all"
#run_numb     <- c("Run_0_A","Run_7")
run_numb     <- "Run_7"

#############################################################################################
### Select the seed number to use for the run                                             ###
### or specify a number of random seed you want to get                                    ###
### or use the random seeds used in 2014 stock assessment ran_seed  <- "r_seed_2014"      ###
### this seed numbers are save in "r_seed_2014.Rdata" located in the data folder          ###
#############################################################################################
seed_numb  <- -911 ### this number has to be a negative integer between -1 and -999
#nb_seed    <- 100
#ran_seed      <- "r_seed_2014"

####################################################
### Select the F-ratio scenario you want to run  ###
### 4 scenarios available see run_generator.R    ###
### for their description and add another one    ###
### if you want                                  ###
### 1: is as in 2012                             ###
### 2: is F-ratio=1 for the whole period         ###
### 3: is same periods as in 2012 but estimated  ###
### 4: is periods estimated using a catch curve  ###
####################################################
scen_f_ratio <- 1

##########################################
### Select the number of retros        ###
##########################################
#nb_retro <- c(6,0)
nb_retro     <- 5

##########################################
### Select the number of bootstraps    ###
##########################################
#nb_boot <- c(0,1000)
nb_boot      <- 0

###########################################################
### Define the age plus group and the age minus group   ###
### or a sequence of age you want to test               ###
###########################################################
age_plus_1   <- 10
age_minus_1  <- 0
  
######################################
###  CREATE THE DIFFERENT RUNS     ###
######################################
run_syl <-  c("Run_5_inflate", "Run_5_new","Run_7", "Run_17")# c("Run_11_new")#paste("Run_5_" ,1:9, sep="")#"Run_13_new"# #paste("Run_",2:7,"_new", sep="")
run_syl <- "Run_5_inflate" #c("Run_16", "Run_16_new")
load("/home/sbonhomm/Dropbox/Tuna_assessment/data/outputs/dir_best.Rdata")
# dir_bests$seed_nb[which(dir_bests$run%in%paste(run_syl))]
load("~/Dropbox/Tuna_assessment/data/seed_syl.Rdata")
load('/home/sbonhomm/Dropbox/Tuna_assessment/data/r_seed_2014.Rdata')
seed_syl <- abs(r_seed[1:25])
rm(r_seed)
#seed_syl <- c(911,popo[round(runif(9,1,90))])
#save(seed_syl, file="~/Dropbox/Tuna_assessment/data/seed_syl.Rdata")
seed_syl <- dir_bests$seed_nb[which(dir_bests$run%in%paste(run_syl))]

for (syl in 1:length(run_syl)){
    for (seel in 1:length(seed_syl)){
    run_numb     <- run_syl[syl]
    seed_numb    <- -seed_syl[seel]
    print(paste(run_numb, " seed ",seed_numb, sep=""  ))
    source(paste(dir_R_scripts2, "run_generator.R", sep=""))
  }}
