###run_spec.csv to netcdf
library(ncdf4)

specCSV2specNCDF <- function(file_name,in_directoty,out_directory){
  
  runParameters <- read.csv(paste(in_directoty,file_name,sep=""))
# runParameters <- read.csv("/home/taha/Projets/VPA/data/run_spec.csv")
Run <- runParameters$Run
run <- list();n=1
for(r in Run){run[[n]] <- ncvar_def(name=as.character(Run[n]),units="", dim=list()); n <- n+1}
# nc <- nc_create( "testRun.nc", run)
file_name <- gsub(pattern = "csv",replacement = "nc",x = file_name)
nc <- nc_create( paste(out_directory,file_name,sep=""), run)


for(r in 1:length(Run)){
  for(c in 2:ncol(runParameters))
    ncatt_put(nc,as.character(Run[r]) ,colnames(runParameters)[c],as.character(runParameters[r,c]),prec=NA, verbose=FALSE)
}
nc_close(nc)
}
####

#########Data frame from ncdf of run_spec
specNCDF2DataFrame <- function(file_name,directory){
nc <- nc_open(paste(directory,file_name,sep=""))
# nc <- nc_open("testRun.nc")
for(v in names(nc$var)){
  ll <- as.data.frame(ncatt_get(nc,v))
  if(v==names(nc$var)[1]){lll <- ll}else{lll <- rbind(lll,ll)}
}
runParameters_nc <- cbind(Run=names(nc$var),lll)
for(col in c(9,11:14)){runParameters_nc[,col] <- as.integer(as.character(runParameters_nc[,col])) }
return(runParameters_nc)
}
